List of Knowledge Base Articles
GET /knowledge_base/articles/
URL Example
https://system_domain/api/v2/knowledge_base/articles/?page=1&public=true&category_list=1,2,3
Query Parameters
| Parameter | Type | Required | Description |
|---|---|---|---|
page | number | No | Page number (10 articles are displayed per page) |
public | string | No | Search for public articles: true - include; false - exclude |
category_list | string | No | Search categories by parent category IDs, comma-separated |
from_date_created | string | No | Creation date "from". Articles created since the specified moment (yyyy-mm-dd hh:mm:ss) |
to_date_created | string | No | Creation date "to". Articles created before the specified moment (yyyy-mm-dd hh:mm:ss) |
from_date_updated | string | No | Update date "from". Articles with changes since the specified moment (yyyy-mm-dd hh:mm:ss) |
to_date_updated | string | No | Update date "to". Articles with changes before the specified moment (yyyy-mm-dd hh:mm:ss) |
order_by | string | No | Article sorting, comma-separated. Available parameters: date_created, date_updated, views, pin. Sort order: {asc} - ascending, {desc} - descending; Default value - date_created{desc} |
Response Example
{
"data": {
"56": {
"id": 56,
"date_created": "2018-07-17 15:15:00",
"date_updated": "2018-07-24 17:12:55",
"created_by": 1,
"updated_by": 1,
"show_me_only": false,
"access": "public",
"pin": false,
"views_count": 130,
"categories": [
1
],
"title": {
"en": "Test article_1"
},
"tags": {
"en": [
"test",
"test2",
"test3"
]
},
"body": {
"en": "<p>Body in HTML</p>"
},
"files": []
},
"57": {
"id": 57,
"date_created": "2018-07-17 15:15:00",
"date_updated": "2018-07-24 17:27:27",
"created_by": 1,
"updated_by": 1,
"show_me_only": false,
"access": "staff",
"pin": false,
"views_count": 43,
"categories": [
1,
2
],
"title": {
"en": "Test article_2"
},
"tags": {
"en": [
"type",
"pro series"
],
"en": []
},
"body": {
"en": "<p>Body in HTML</p>"
},
"files": []
},
"58": {
"id": 58,
"date_created": "2018-07-17 15:15:00",
"date_updated": "2018-07-17 15:15:00",
"created_by": 1,
"updated_by": 1,
"show_me_only": false,
"access": "user",
"pin": false,
"views_count": 3,
"categories": [
2
],
"title": {
"en": "Test article_3"
},
"tags": {
"en": [
"payment"
],
"en": []
},
"body": {
"en": "<p>Body in HTML</p>"
},
"files": []
},
"60": {
"id": 60,
"date_created": "2024-07-24 17:24:00",
"date_updated": "2024-02-01 18:04:21",
"created_by": 1,
"updated_by": 1,
"show_me_only": false,
"access": "public",
"pin": false,
"views_count": 32,
"categories": [
-2,
2
],
"title": {
"en": "Test article_4"
},
"tags": {
"en": []
},
"body": {
"en": "<p>Body in HTML</p>"
},
"files": [
{
"name": "test.gif",
"url": "https://system_domain/ru/knowledge_base/download/60/file/f8bb43e593d867d27c965d38dfec721fbb084cf9",
"data_type": "gif"
},
{
"name": "test.png",
"url": "https://system_domain/ru/knowledge_base/download/60/file/b818daf594dd3b61098cce7fef7954bc0314edd5",
"data_type": "png"
}
]
}
},
"pagination": {
"total": 4,
"per_page": 10,
"current_page": 1,
"total_pages": 1
}
}